import logging
from pathlib import Path

from apps.hist.runner import run_hist_maker
from egr.util import app_config


LOG = logging.getLogger('apps.hist')


@app_config
def config(parser):
    parser.add_argument('-c', '--config-file', type=Path, required=True)


if __name__ == '__main__':
    run_hist_maker(config())
